Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 315557 - =dev-java/javacc-5.0-r1 and co. (comment #3) stable request
Summary: =dev-java/javacc-5.0-r1 and co. (comment #3) stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Java team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 309961 536888
Blocks: 298720 273164 EAPI1Removal
  Show dependency tree
 
Reported: 2010-04-16 08:14 UTC by Petteri Räty (RETIRED)
Modified: 2015-05-17 20:06 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petteri Räty (RETIRED) gentoo-dev 2010-04-16 08:14:18 UTC
This bug was filed via: http://gentoo.petteriraty.eu/stable.rss

*javacc-5.0 (16 Mar 2010)

  16 Mar 2010; Alistair Bush <ali_bush@gentoo.org> +javacc-5.0.ebuild:
  Version Bump javacc to 5.0


Info for bug wranglers:
Herds: java
Maintainers: 
Open bugs for dev-java/javacc: 3
Open bugs for javacc: 5
Keywords: ~amd64 ~ppc ~x86 ~x86-fbsd
Comment 1 Alistair Bush (RETIRED) gentoo-dev 2010-04-19 11:09:47 UTC
# Alistair Bush <ali_bush@gentoo.org> (22 Mar 2010)
# Masked due to producing build failures in stable
# lucene and possibly others. see #309961
=dev-java/javacc-5.0

Maybe this should be fixed before we stablise? ;)
Comment 2 Petteri Räty (RETIRED) gentoo-dev 2010-04-19 14:59:38 UTC
(In reply to comment #1)
> 
> Maybe this should be fixed before we stablise? ;)
> 

Should probably fix this aspect in my RSS feed :)
Comment 3 Ralph Sennhauser (RETIRED) gentoo-dev 2012-09-27 19:29:58 UTC
Bumped all rev deps to depend on >=jdk-1.5 and removed the mask.

The following ebuilds need to be stabilized before javacc-5.0:
dev-java/freemarker-2.3.13-r1
dev-java/jython-2.2.1-r2
dev-java/lucene-2.1.0-r2
dev-java/lucene-2.2.0-r1
dev-java/lucene-2.3.2-r2
dev-java/lucene-2.4.1-r1
dev-java/mg4j-0.9.1-r2
dev-java/xjavadoc-1.1-r2
Comment 4 Ralph Sennhauser (RETIRED) gentoo-dev 2012-09-28 10:32:46 UTC
Changing stable request to 

*javacc-5.0-r1 (28 Sep 2012)

  28 Sep 2012; Ralph Sennhauser <sera@gentoo.org> +javacc-5.0-r1.ebuild:
  EAPI bump for Prefix support by Christoph Junghans <ottxor@gentoo.org>.
  #435470
  Also fix HOMEPAGE and SRC_URI.
  Dont leak jre into DEPEND as it may confuse vm switching code.
  Register run dep on junit. #298720
  Make better use of eclasses, drop hacks.
  Use java-pkg_doexamples to install examples.

Waiting the usual amount of time before adding archs.
Comment 5 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-08-29 17:38:35 UTC
(In reply to Ralph Sennhauser from comment #4)
> Waiting the usual amount of time before adding archs.

Is a year usual? Are we still waiting for something? J/k, ping as reminder! :)
Comment 6 Pacho Ramos gentoo-dev 2014-03-04 23:15:44 UTC
amd64 stable
Comment 7 Johannes Huber gentoo-dev 2014-03-10 16:58:18 UTC
x86 stable
Comment 8 Pacho Ramos gentoo-dev 2015-04-26 17:00:27 UTC
ppc stable
Comment 9 Pacho Ramos gentoo-dev 2015-05-17 20:06:03 UTC
ppc64 stable, closing